Skip to main content
GET
/
communication-preferences
/
v3
/
status
/
email
/
{emailAddress}
cURL
curl --request GET \
  --url https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "recipient": "<string>",
  "subscriptionStatuses": [
    {
      "description": "<string>",
      "id": "<string>",
      "name": "<string>",
      "brandId": 123,
      "legalBasisExplanation": "<string>",
      "preferenceGroupName": "<string>"
    }
  ]
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

emailAddress
string
required

Response

successful operation

recipient
string
required
subscriptionStatuses
object[]
required
Last modified on March 30, 2026